Bug 1293729 - Display image is sometimes corrupted after monitor powersave
Display image is sometimes corrupted after monitor powersave
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 16:22 EST by Aram Agajanian
Modified: 2016-07-19 15:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of currupted display. (1.40 MB, image/png)
2015-12-22 16:22 EST, Aram Agajanian
no flags Details
journalctl -b _COMM=gdm-x-session (131.74 KB, text/plain)
2015-12-22 16:24 EST, Aram Agajanian
no flags Details
lspci -nn (2.03 KB, text/plain)
2015-12-22 16:25 EST, Aram Agajanian
no flags Details

  None (edit)
Description Aram Agajanian 2015-12-22 16:22:08 EST
Created attachment 1108710 [details]
Screenshot of currupted display.

Description of problem:
 I have had my display become corrupted after using it for a while.  I believe that it is usually happens after using it for more than one day since boot.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.5.0-3.fc22.x86_64
kernel-4.2.6-201.fc22.x86_64

How reproducible:
I don't know how to make it happen but it has been happening regularly for a while (perhaps a year).

Steps to Reproduce:
1.  Boot Fedora 22 and log in
2.  Use the OS as I regularly do

Actual results:
Display becomes corrupted

Expected results:
Display should not become corrupted.
Comment 1 Aram Agajanian 2015-12-22 16:24 EST
Created attachment 1108711 [details]
journalctl -b _COMM=gdm-x-session
Comment 2 Aram Agajanian 2015-12-22 16:25 EST
Created attachment 1108712 [details]
lspci -nn
Comment 3 Aram Agajanian 2015-12-22 16:38:08 EST
Now I just experienced something new.  I walked away from my PC with the screen corrupted.  The display went into powersave mode.  Then, when I came back and entered my password, the display corruption is gone.
Comment 4 Aram Agajanian 2015-12-22 16:45:49 EST
Looking at my screenshot attachment, that doesn't appear to be corrupted.  So, whatever is making the display look corrupted is not getting picked up by the Screenshot program.  Could it be that the monitor is defective and sometimes when it comes out of powersave mode the display is corrupted?
Comment 5 Aram Agajanian 2015-12-22 16:57:33 EST
I just did a bit more testing.  I repeated put the monitor into powersave mode using the Super-L key combination.

At first, I wasn't able to reproduce the screen corruption.

However, I was able to reproduce it by first running Google Chrome and then putting the monitor into powersave mode with Super-L.  It doesn't happen every time but it has happened three times so far.
Comment 6 Aram Agajanian 2016-02-03 16:39:11 EST
I found a similar problem report at 

http://askubuntu.com/questions/566945/display-color-goes-haywire-when-resuming-from-lock-screen
Comment 7 Aram Agajanian 2016-02-03 16:45:53 EST
I was just able to get the color problem to happen after monitor powersave without Google Chrome running.
Comment 8 Fedora End Of Life 2016-07-19 14:37:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Aram Agajanian 2016-07-19 15:14:26 EDT
This problem has not occurred since I upgraded the computer to Fedora 23.

Note You need to log in before you can comment on or make changes to this bug.